
# norootforbuild

%define	_prefix	/usr

Name:			python-eyeD3
Summary:		Python Module for ID3 Tag Manipulation
Version:		0.6.16
Release:		2.5
Source0:		eyeD3-%{version}.tar.gz
License:		GPL
Group:			Productivity/Multimedia/Sound/Utilities
URL:			http://eyed3.nicfit.net/
BuildRoot:		%{_tmppath}/%{name}-%{version}-build
%{py_requires}
BuildRequires:	python-devel

%description
A Python module for the manipulation of ID3 tags.

It supports versions 1.0, 1.1, 2.3, and 2.4 of the ID3 standard.
It can also retrieve information, such as length and bit rate,
from an MP3 file.

Authors:
Travis Shirk <travis@pobox.com>
Ryan Finnie <ryan@finnie.org>

%prep
%setup -q -n eyeD3-%{version}

%build
%configure

python setup.py build

%install
python setup.py install \
	--prefix=%{_prefix} \
	--root=%{buildroot}

%__install -d -m755 %{buildroot}%{_bindir}
%__install -m755 bin/eyeD3 \
	%{buildroot}%{_bindir}

%clean
[ -d %{buildroot} -a "%{buildroot}" != "" ] && %__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README* THANKS TODO
%{_bindir}/*
%dir %{py_sitedir}/eyeD3
%{py_sitedir}/eyeD3/*.py*
%if %suse_version >= 1020
%{py_sitedir}/eyeD3-%{version}-py%{py_ver}.egg-info
%endif

%changelog -n python-eyeD3
* Wed Oct 03 2007 Carsten Schoene <cs@linux-administrator.com>
- import for SLE_10 build

